Bug 1287593 - [gtk3] [dark theme] Adwaita:dark not fully supported
[gtk3] [dark theme] Adwaita:dark not fully supported
Status: NEW
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
25
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 07:02 EST by Christian Stadelmann
Modified: 2016-10-16 17:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-02 07:02:44 EST
Description of problem:
In some UI elements Libreoffice doesn't have complete support for dark Gtk3 themes such as Adwaita:dark

Version-Release number of selected component (if applicable):
libreoffice-5.0.3.2-10.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1. start libreoffice (gtk3) with dark Adwaita theme
2. use UI

Actual results:
Some UI elements are drawn like on a light Adwaita theme, this includes:
1. Tabs (e.g. in Calc to switch between worksheets; or in Draw to switch between "Layout", "Controls" and "Dimension Lines"). Those tabs appear in light gray font drawn on top of another light to medium gray. Background should be dark gray instead.
2. Sidebar (for "Properties", "Styles and Formatting", "Gallery", "Navigator"): When hovering the buttons they get colors drawn as on Adwaita:light which looks quite weird.
3. Shadows for special cursors, e.g. for "Insert a Text Box" (F2 key in Draw): Both cursor and shadow are drawn in very dark grey or black.
4. Spell checker dialog: Highlighted color (red) is very hard to read, it should be lighter
5. Footer (Status bar?): Many symbols are too dark to read
6. URLs are too hard to read, e.g. in Extension Manager
Comment 1 Christian Stadelmann 2015-12-14 08:09:41 EST
6. URLs (blue on dark grey) on UI are hard to read. See Tools → Options → Language Settings → Writing aids. There is an URL "Get more dictionaries online".
7. Some toolbars have broken background colors. This affects the "Form Controls" Toolbar in Libreoffice Base. You can see it when you open a database (default: HSQLDB) and open Insert → Form from main menu.
8. In Writer, Impress and Draw rulers are quite hard to read
9. In Writer, Format → Character → Font, the font should be drawn black on white as it will be drawn in the document. Same for tabs "Font Effects", "Position", "Borders". Same for Format → Paragraph (most tabs), Format → Page, Format → Columns, Format → Styles and Formatting, 
10. In Writer, some Toolbar items are hard to see. This affects e.g. the "Omega" button (Special characters, Standard toolbar) and the "Line" (insert line, Standard toolbar)
Comment 2 Caolan McNamara 2016-02-12 10:06:26 EST
https://cgit.freedesktop.org/libreoffice/core/commit/?id=4cd1c029812155e4e1f80dcf69ea4167edec0130 for points 1 and 2

point 3 "Insert a Text Box" cursor thing is the same in dark and light themes. But the page underneath the cursor is typically the same white, so that seems ok to me.

point 4 That's light red in a bold font. I'm not sure what a fool-proof solution here is. I can't find something theme related that's guaranteed to be a good choice for "error" text.

point 5 and 10 are probably the same problem.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=06e8c58acb6ba667f8fd8c5587a3b3037324971a for point 6

point 7 seems fixed in rawhide

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e6d6e35320984fe4198314e3ea3a91ead6b41392 as a stab at point 8

9 might also point to places where we don't draw the "real" page background color in those previews
Comment 3 Jan Kurik 2016-02-24 10:43:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Christian Stadelmann 2016-03-01 10:14:47 EST
(running libreoffice-5.0.5.2-2.fc23.x86_64)

11. In Calc, "Format Cells" dialog:
Tab Numbers: Number is rendered black on dark gray, barely visible

12. In Calc, "Format Cells" dialog:
Tab Alignment: Text on round knob below "Text Orientation", "ABCD" is rendered gray on gray, barely visible

13. In Calc, "Format Cells" dialog:
Tab Borders: Border picker feels broken, probably due to wrong colors too. I am not sure what exactly feels weird, but it is harder to use than with Adwaita:light.

(In reply to Caolan McNamara from comment #2)
> point 3 "Insert a Text Box" cursor thing is the same in dark and light
> themes. But the page underneath the cursor is typically the same white, so
> that seems ok to me.

How about a light cursor with dark shadows on light background? Making both cursor and its shadow dark feels wrong and looks weird.
Comment 5 Christian Stadelmann 2016-06-05 11:45:49 EDT
Now running libreoffice-5.1.3.2-7.fc24.x86_64 with gtk3-3.20.6-1.fc24.x86_64 on a fully updated Fedora 24.

Summary of all issues above plus 2 new ones, updated list:
1. gone (fixed)
2. gone (fixed)
3. Shadows for special cursors, e.g. for "Insert a Text Box" (F2 key in Draw): Both cursor and shadow are drawn in very dark grey or black. (See discussion above)
4. Spell checker dialog: Highlighted color (red) is very hard to read, it should be lighter
5., 10. Footer (Status bar?) and Toolbars: Many symbols are too dark to read, because they are dark gray or black on medium gray.
6. gone (fixed)
7. gone (fixed)
8. In Writer, Impress and Draw rulers are quite hard to read because they are dark gray on medium gray. Situation seems to have improved though (see commit above)
9. In Writer, Format → Character → Font, the font should be drawn black on white as it will be drawn in the document. Same for tabs "Font Effects", "Position", "Borders". Same for Format → Paragraph (most tabs), Format → Page, Format → Columns, Format → Styles and Formatting
10. See 5
11. In Calc, "Format Cells" dialog, Tab "Numbers": Number is rendered black on medium gray, barely visible
12. In Calc, "Format Cells" dialog, Tab "Alignment": Text on round knob below "Text Orientation", "ABCD" is rendered medium gray on medium gray, barely visible, only through its shadow
13. In Calc, "Format Cells" dialog, Tab "Borders" and in Writer, "Format"→"Paragraph", Tab "Borders": Border picker is hard to use due to different background colors for different line styles. When selected, a line has white background, but when deselected, background is dark gray. Furthermore this widget looks like it should have white background as cells have. It feels quite broken, probably due to wrong colors, I am not sure what exactly feels weird, but it is harder to use than with Adwaita:light
14. In Writer, when opening a document marked as read-only, it will show an information bar with this text: "This document is open in read-only mode. [Edit Document] [X]". This infobar is white (or light gray) font on light yellow background and thus barely readable.
15. In Base, open the workbench (or whatever this UI element is called when creating a new database but escaping the wizard): You see different widgets titled with "Database", "Tasks", "Tablets"
Comment 6 Christian Stadelmann 2016-09-28 16:16:14 EDT
Update with new package versions:
libreoffice-gtk3-5.2.2.1-5.fc25.x86_64
gtk3-3.22.0-1.fc25.x86_64

1. gone (fixed)
2. gone (fixed)
3. ok.
4. Spell checker dialog: Highlighted color (red) is very hard to read, it should be lighter
5., 10. Footer (Status bar?) and Toolbars: Many symbols are too dark to read, because they are dark gray or black on medium gray.
6. gone (fixed)
7. gone (fixed)
8. In Writer, Impress and Draw rulers are quite hard to read because they are dark gray on medium gray. Ruler labels are good though.
9. In Writer, Format → Character → Font, the font should be drawn black on white as it will be drawn in the document. Same for tabs "Font Effects", "Position", "Borders". Same for Format → Paragraph (most tabs), Format → Page, Format → Columns, Format → Styles and Formatting
10. See 5
11. In Calc, "Format Cells" dialog, Tab "Numbers": Number is rendered black on medium gray, barely visible
12. In Calc, "Format Cells" dialog, Tab "Alignment": Text on round knob below "Text Orientation", "ABCD" is rendered medium gray on medium gray, barely visible, only through its shadow or after changing rotation.
13. In Calc, "Format Cells" dialog, Tab "Borders" and in Writer, "Format"→"Paragraph", Tab "Borders": Border picker is hard to use due to different background colors for different line styles. When selected, a line has white background, but when deselected, background is dark gray. Furthermore this widget looks like it should have white background as cells have. It feels quite broken, probably due to wrong colors, I am not sure what exactly feels weird, but it is harder to use than with Adwaita:light
14. In Writer, when opening a document marked as read-only, it will show an information bar with this text: "This document is open in read-only mode. [Edit Document] [X]". This infobar is white (or light gray) font on light yellow background and thus barely readable.
15. untested: In Base, open the workbench (or whatever this UI element is called when creating a new database but escaping the wizard): You see different widgets titled with "Database", "Tasks", "Tablets"
Comment 7 Christian Stadelmann 2016-10-16 17:26:26 EDT
16. In Writer, a checkbox or radiobutton form has a white label on white background. This also affects the printer output and any exported PDF file.

17. In Writer, when exporting a writer document with forms into PDF (not PDF1/a, but with forms), the forms are exported with dark theme resulting in a dark background color. This results in broken PDF file look.

Note You need to log in before you can comment on or make changes to this bug.